//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

    /*
	*******************************************************************
	All examples in this support document are only intended
	to improve understanding of the functionality and 
	handling of the equipment. 
	Beijer Electronics Inc cannot assume any liability if these
	examples are used in real applications.
	In view of the wide range of applications for this 
	equipment, users must acquire sufficient knowledge 
	themselves in order to ensure that it is correctly used in 
	their specific application. Persons responsible for the 
	application and the equipment must themselves 
	ensure that each application is in compliance with all 
	relevant requirements, standards and legislation in 
	respect to configuration and safety.
	Beijer Electronics Inc will accept no liability for any 
	damage incurred during the installation or use of this 
	equipment.
	Beijer Electronics Inc prohibits all modification, changes
	or conversion of the equipment.
	*******************************************************************
	*/

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
    public partial class Screen2
    {
		
		void Screen2_Opened(System.Object sender, System.EventArgs e)
		{
			// Copies the Alias instance name to variable "CurrentEngine" as well as to the Tag "CurrentInstance" 
			string CurrentEngine = this.InstanceName;
			Globals.Tags.CurrentInstance.Value = CurrentEngine;
	
			// Clears all pens/curves from TrendViewer
			for (int i = 0; i < 6; i++)
			{
			 	TrendViewer.Curves[i].IsVisible = false;
			}
			
			// Enables the specific pens/curves for the alias instance and tag "InstanceNumber"
			if (CurrentEngine == "Engine1")
			{
				TrendViewer.Curves[0].IsVisible = true;
				TrendViewer.Curves[1].IsVisible = true;
				Globals.Tags.InstanceNumber.Value = 0;
			}
			else if (CurrentEngine == "Engine2")
			{
				TrendViewer.Curves[2].IsVisible = true;
				TrendViewer.Curves[3].IsVisible = true;
				Globals.Tags.InstanceNumber.Value = 1;
			}
			else if (CurrentEngine == "Engine3")
			{
				TrendViewer.Curves[4].IsVisible = true;
				TrendViewer.Curves[5].IsVisible = true;
				Globals.Tags.InstanceNumber.Value = 2;
			}
		}
    }
}
